<?php
include ("../classes/motoristas.php");
include ("../classes/seguranca.php");
$secret_key= $_POST['secret'];
$s = new seguranca();
if($s->compare_secret($secret_key)){
	$cpf = $_POST['cpf'];
	$senha = $_POST['senha'];
	$m = new Motoristas();
	$login = $m ->login_motorista($cpf, $senha);
	if($login){
		$id = $login['id'];
		if($m ->verifica_se_esta_ativo($id)){
			echo json_encode($login);
		}else{
			echo "Motorista bloqueado, entre em contato com a central";
		}
	}else{
		echo "Usuario ou senha incorretos";
	}
	 
}else{
	echo "Falha na autenticação, verifique a secret em bd/conexao.php";
}
?>